<?php
/**
 * VictorTheme Custom Changes
 * Added "div" tag with class "roch-fix product-image-warp" (line 41)
 * Added custom hook "rodich_woocommerce_template_loop_product_title" (line 71). Function referance "rodich_woocommerce_template_loop_product_title_function" @frontend-functions.php
 * Added custom hook "rodich_woocommerce_shop_loop_item_cat" (line 84). Function referance "rodich_woocommerce_shop_loop_item_cat_function" @frontend-functions.php
 */

/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<li <?php wc_product_class( '', $product ); ?>>
	<?php

	/* Custom Change - Custom Div Added */
	echo '<div class="roch-fix product-image-warp">';

	/**
	 * Hook: woocommerce_before_shop_loop_item.
	 *
	 * @hooked woocommerce_template_loop_product_link_open - 10
	 */
	do_action( 'woocommerce_before_shop_loop_item' );

	/**
	 * Hook: woocommerce_before_shop_loop_item_title.
	 *
	 * @hooked woocommerce_show_product_loop_sale_flash - 10
	 * @hooked woocommerce_template_loop_product_thumbnail - 10
	 */
	do_action( 'woocommerce_before_shop_loop_item_title' );

	/* Custom Change - Changed 'woocommerce_after_shop_loop_item' position */
	/**
	 * Hook: woocommerce_after_shop_loop_item.
	 *
	 * @hooked woocommerce_template_loop_product_link_close - 5
	 * @hooked woocommerce_template_loop_add_to_cart - 10
	 */
	do_action( 'woocommerce_after_shop_loop_item' );

	/* Custom Change end DIV */
	echo '</div>';

	do_action( 'rodich_woocommerce_template_loop_product_title' ); /* Custom Change - Hook added */
	do_action( 'rodich_woocommerce_shop_loop_item_cat' ); /* Custom Change - Hook added */
	// Custom Change - Removed default hook 'woocommerce_shop_loop_item_title'

	/**
	 * Hook: woocommerce_after_shop_loop_item_title.
	 *
	 * @hooked woocommerce_template_loop_rating - 5
	 * @hooked woocommerce_template_loop_price - 10
	 */
	do_action( 'woocommerce_after_shop_loop_item_title' );
	?>
</li>
<?php
